import { Token } from '../types';
import { TokenizerStrategy } from '../tokenizer.interface';
import type { Parser } from 'web-tree-sitter';
export declare class TreeSitterTokenizer implements TokenizerStrategy {
    private parser;
    constructor(parser: Parser);
    tokenize(content: string): Token[];
    private collectTokens;
}
